Bug 409871 - desktop-entry-lacks-keywords-entry usr/share/applications/org.kde.kirigami2.gallery.desktop
Summary: desktop-entry-lacks-keywords-entry usr/share/applications/org.kde.kirigami2.g...
Status: RESOLVED FIXED
Alias: None
Product: kirigami gallery
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR minor
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2019-07-16 18:49 UTC by Scarlett Moore
Modified: 2022-06-24 01:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scarlett Moore 2019-07-16 18:49:48 UTC
While packaging for debian I ran into this lintian error. While optional it is useful.
N:    This .desktop file does either not contain a "Keywords" entry or it does
N:    not contain any keywords not already present in the "Name" or
N:    "GenericName" entries.
N:    
N:    .desktop files are organized in key/value pairs (similar to .ini files).
N:    "Keywords" is the name of the entry/key in the .desktop file containing
N:    keywords relevant for this .desktop file.
N:    
N:    The desktop-file-validate tool in the desktop-file-utils package is
N:    useful for checking the syntax of desktop entries.
N:    
N:    Refer to
N:    https://specifications.freedesktop.org/desktop-entry-spec/latest/ar01s06.html,
N:    https://bugs.debian.org/693918, and
N:    https://wiki.gnome.org/Initiatives/GnomeGoals/DesktopFileKeywords for
N:    details.
N:    
N:    Severity: wishlist, Certainty: certain
N:    
N:    Check: menu-format, Type: binary
Comment 1 Bug Janitor Service 2022-06-24 00:11:51 UTC
A possibly relevant merge request was started @ https://invent.kde.org/sdk/kirigami-gallery/-/merge_requests/23
Comment 2 Felipe Kinoshita 2022-06-24 01:03:05 UTC
Git commit 23b4ea32a656912f71e2dd7e3c86491739d2d22b by Felipe Kinoshita.
Committed on 24/06/2022 at 00:09.
Pushed by fhek into branch 'master'.

Add keywords to .desktop file

While optional it's useful to have some keywords so users can find
it a little bit easier.

M  +1    -0    org.kde.kirigami2.gallery.desktop

https://invent.kde.org/sdk/kirigami-gallery/commit/23b4ea32a656912f71e2dd7e3c86491739d2d22b